/*
 * application.c
 *
 *  Created on: Aug 20, 2016
 *      Author: tkl
 */

#include <stdbool.h>
#include <stddef.h>

#include "board.h"
#include "queue.h"
#include "stack.h"
#include "kernel.h"

static struct thread_context main_task;
static stack_t main_stack[0xFF];

extern void main(void *arg);

int start_application (int argc, char* argv[])
{
	board_init();

	thread_create(&main_task, main_stack, 0xFF, main, NULL, THREAD_PRIO_IDLE);
	schedule_start();

	return 0;
}


